part of 'generated.dart';

class DeleteTeamHubVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteTeamHubVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteTeamHubData> dataDeserializer = (dynamic json)  => DeleteTeamHubData.fromJson(jsonDecode(json));
  Serializer<DeleteTeamHubVariables> varsSerializer = (DeleteTeamHubVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteTeamHubData, DeleteTeamHubVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteTeamHubData, DeleteTeamHubVariables> ref() {
    DeleteTeamHubVariables vars= DeleteTeamHubVariables(id: id,);
    return _dataConnect.mutation("deleteTeamHub", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteTeamHubTeamHubDelete {
  final String id;
  DeleteTeamHubTeamHubDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHubTeamHubDelete otherTyped = other as DeleteTeamHubTeamHubDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamHubTeamHubDelete({
    required this.id,
  });
}

@immutable
class DeleteTeamHubData {
  final DeleteTeamHubTeamHubDelete? teamHub_delete;
  DeleteTeamHubData.fromJson(dynamic json):
  
  teamHub_delete = json['teamHub_delete'] == null ? null : DeleteTeamHubTeamHubDelete.fromJson(json['teamHub_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHubData otherTyped = other as DeleteTeamHubData;
    return teamHub_delete == otherTyped.teamHub_delete;
    
  }
  @override
  int get hashCode => teamHub_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (teamHub_delete != null) {
      json['teamHub_delete'] = teamHub_delete!.toJson();
    }
    return json;
  }

  DeleteTeamHubData({
    this.teamHub_delete,
  });
}

@immutable
class DeleteTeamHubVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteTeamHubVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHubVariables otherTyped = other as DeleteTeamHubVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamHubVariables({
    required this.id,
  });
}

